Page MenuHomePhabricator

Disable Page Previews for anons
Closed, ResolvedPublic2 Story Points

Description

Context

During T144490, we discovered that if the Page Previews code is delivered to an anon but the experiment is disabled, then they'll see previews. See T144490#2855170 for more detail.

AC

  • Previews are shown if the user is logged in and the user hasn't disabled them.

Event Timeline

phuedx created this task.Dec 8 2016, 2:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 8 2016, 2:51 PM
phuedx updated the task description. (Show Details)Dec 8 2016, 2:51 PM
bmansurov triaged this task as High priority.Dec 8 2016, 9:51 PM
bmansurov moved this task from To Triage to Upcoming on the Readers-Web-Backlog board.

Change 327194 had a related patch set uploaded (by Phuedx):
Redefine when Page Previews are enabled

https://gerrit.wikimedia.org/r/327194

Change 327195 had a related patch set uploaded (by Phuedx):
Hygiene: Remove experiment-related code

https://gerrit.wikimedia.org/r/327195

Change 327196 had a related patch set uploaded (by Phuedx):
Hygiene: Make mw.popups#isEnabled return boolean

https://gerrit.wikimedia.org/r/327196

ovasileva set the point value for this task to 2.
phuedx claimed this task.Dec 15 2016, 9:27 AM

Change 327194 merged by jenkins-bot:
Redefine when Page Previews are enabled

https://gerrit.wikimedia.org/r/327194

Change 327195 merged by jenkins-bot:
Hygiene: Remove experiment-related code

https://gerrit.wikimedia.org/r/327195

Change 327196 merged by jenkins-bot:
Hygiene: Make mw.popups#isEnabled return boolean

https://gerrit.wikimedia.org/r/327196

Even with all these patches merged it seems to behave incorrectly for me upon page refresh - I don't see any save to localStorage to make the option persist:

and anon...

Given we are in rewrite status I'm a little lost at whether I'm seeing a bug or incomplete code. You may be aware of this but just pointing out just in case...

I'll take a look on Monday. Interestingly, the acceptance tests that I've written for this part of the workflow pass. @Jhernandez: SYN.

@Jdlrobson: I've tested this locally and on our staging server (which I made sure was updated).

phuedx removed phuedx as the assignee of this task.
phuedx closed this task as Resolved.Dec 21 2016, 3:13 PM
phuedx claimed this task.